summaryrefslogtreecommitdiffstats
path: root/board/pcm038/env/bin/init
diff options
context:
space:
mode:
Diffstat (limited to 'board/pcm038/env/bin/init')
-rw-r--r--board/pcm038/env/bin/init19
1 files changed, 19 insertions, 0 deletions
diff --git a/board/pcm038/env/bin/init b/board/pcm038/env/bin/init
new file mode 100644
index 0000000000..b8d8399842
--- /dev/null
+++ b/board/pcm038/env/bin/init
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+PATH=/env/bin
+export PATH
+
+. /env/config
+
+echo
+echo -n "Hit any key to stop autoboot: "
+timeout -a $autoboot_timeout
+if [ $? != 0 ]; then
+ echo
+ echo "type update_kernel [<imagename>] to update kernel into flash"
+ echo "type udate_root [<imagename>] to update rootfs into flash"
+ echo
+ exit
+fi
+
+boot \ No newline at end of file